The officially official Devuan Forum!

You are not logged in.

#126 2023-02-20 03:43:03

tdrnetworks
Member
Registered: 2020-02-29
Posts: 30  

Re: deb.sury.org now requires systemd

Hi All,

We have now pushed a number of updated packages.

PHP 8.0, 8.1, and 8.2 are now available for ascii, beowulf, and chimaera.

All php modules on our build-list, for example php-imagick have been refreshed to include 8.2 support.

Out of support versions, such as Devuan Jessie and versions before PHP8, are no longer getting updates - but will remain available in the repo.

apt-key adv --keyserver keyserver.ubuntu.com --recv 1CC02413BFF88108

### PHP Rebuilds for Devuan Ascii
deb https://pkgs.tdrnetworks.com/apt/devuan ascii main
deb-src https://pkgs.tdrnetworks.com/apt/devuan ascii main

### PHP Rebuilds for Devuan Beowulf
deb https://pkgs.tdrnetworks.com/apt/devuan beowulf main
deb-src https://pkgs.tdrnetworks.com/apt/devuan beowulf main

### PHP Rebuilds for Devuan Chimaera
deb https://pkgs.tdrnetworks.com/apt/devuan chimaera main
deb-src https://pkgs.tdrnetworks.com/apt/devuan chimaera main

Regards,

TDR

Last edited by tdrnetworks (2023-02-20 03:44:55)

Offline

#127 2023-02-20 04:08:55

golinux
Administrator
Registered: 2016-11-25
Posts: 3,109  

Re: deb.sury.org now requires systemd

Well done and much appreciated!!

Online

#128 2023-02-20 13:09:59

nixer
Member
From: North Carolina, USA
Registered: 2016-11-30
Posts: 175  

Re: deb.sury.org now requires systemd

Well done and much appreciated!!

I agree.  Thank you.

Offline

#129 2023-02-28 17:18:01

reltab
Member
Registered: 2023-02-28
Posts: 1  

Re: deb.sury.org now requires systemd

Hi,

is this the right place for this message?

Err:5 https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease
  The following signatures were invalid: EXPKEYSIG 1CC02413BFF88108 TDR Networks Builder <builder@tdrnetworks.com>
Hit:6 http://deb.devuan.org/merged chimaera-backports InRelease
Reading package lists... Done
W: GPG error: https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease: The following signatures were invalid: EXPKEYSIG 1CC02413BFF88108 TDR Networks Builder <builder@tdrnetworks.com>
E: The repository 'https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.

Offline

#130 2023-02-28 19:41:37

mckaygerhard
Member
Registered: 2017-04-21
Posts: 283  
Website

Re: deb.sury.org now requires systemd

reltab wrote:

Hi,

is this the right place for this message?

Err:5 https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease
  The following signatures were invalid: EXPKEYSIG 1CC02413BFF88108 TDR Networks Builder <builder@tdrnetworks.com>
Hit:6 http://deb.devuan.org/merged chimaera-backports InRelease
Reading package lists... Done
W: GPG error: https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease: The following signatures were invalid: EXPKEYSIG 1CC02413BFF88108 TDR Networks Builder <builder@tdrnetworks.com>
E: The repository 'https://pkgs.tdrnetworks.com/apt/devuan chimaera InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.

just bypass with [trusted=yes] after "deb" and before "http" in the repository line.. its nto a big issue, just another paranoic security layer

Offline

#131 2023-03-08 15:51:03

tdrnetworks
Member
Registered: 2020-02-29
Posts: 30  

Re: deb.sury.org now requires systemd

We have now updated the TDR repo, to be signed with a different, renewed GPG key.

6EC19985C8047261

https://pkgs.tdrnetworks.com/apt/devuan/gpg.key

apt-key adv --keyserver keyserver.ubuntu.com --recv 6EC19985C8047261

Regards,

TDR

Offline

#132 2023-03-08 21:07:50

zapper
Member
Registered: 2017-05-29
Posts: 820  

Re: deb.sury.org now requires systemd

tdrnetworks wrote:

Hi All,

We have now pushed a number of updated packages.

PHP 8.0, 8.1, and 8.2 are now available for ascii, beowulf, and chimaera.

All php modules on our build-list, for example php-imagick have been refreshed to include 8.2 support.

Out of support versions, such as Devuan Jessie and versions before PHP8, are no longer getting updates - but will remain available in the repo.

apt-key adv --keyserver keyserver.ubuntu.com --recv 1CC02413BFF88108

### PHP Rebuilds for Devuan Ascii
deb https://pkgs.tdrnetworks.com/apt/devuan ascii main
deb-src https://pkgs.tdrnetworks.com/apt/devuan ascii main

### PHP Rebuilds for Devuan Beowulf
deb https://pkgs.tdrnetworks.com/apt/devuan beowulf main
deb-src https://pkgs.tdrnetworks.com/apt/devuan beowulf main

### PHP Rebuilds for Devuan Chimaera
deb https://pkgs.tdrnetworks.com/apt/devuan chimaera main
deb-src https://pkgs.tdrnetworks.com/apt/devuan chimaera main

Regards,

TDR

I didn't know you guys still supported Ascii.

To the best of my knowledge, is it on LTS now?


Freedom is never more than one generation away from extinction. Feelings are not facts
If you wish to be humbled, try to exalt yourself long term  If you wish to be exalted, try to humble yourself long term
Favourite operating systems: Hyperbola Devuan OpenBSD
Peace Be With us All!

Offline

#133 2023-11-09 23:29:21

nixer
Member
From: North Carolina, USA
Registered: 2016-11-30
Posts: 175  

Re: deb.sury.org now requires systemd

I apologize even before I ask this as I hope that I do not appear to be impatient, but will php packages for daedalus be built by tdrnetworks.com any time soon?  Just trying to plan an upgrade eventually.  I have used these packages without issue for over 3 years now, so I trust them.

I did run a test by upgrading to deb.sury.org's packages for daedalus and they appear to work fine, so this is a possibility.  If using sury.org's repo one will need to install "systemd-standalone-tmpfiles" beforehand. 

But I did get an awful feeling when I willfully installed something with "systemd" in its name.

Offline

#134 2023-12-14 17:50:18

Sich
Member
Registered: 2020-05-30
Posts: 7  

Re: deb.sury.org now requires systemd

nixer wrote:

I apologize even before I ask this as I hope that I do not appear to be impatient, but will php packages for daedalus be built by tdrnetworks.com any time soon?  Just trying to plan an upgrade eventually.  I have used these packages without issue for over 3 years now, so I trust them.

I did run a test by upgrading to deb.sury.org's packages for daedalus and they appear to work fine, so this is a possibility.  If using sury.org's repo one will need to install "systemd-standalone-tmpfiles" beforehand. 

But I did get an awful feeling when I willfully installed something with "systemd" in its name.

The fact that I can't use php-sury on Devuan is a big issue for me too...
I will probably need to dig on how to manage that by myself if I want to use it in production...

Debian is slowy getting really annoying with is systemd crap...

Offline

Board footer